Transaction History - Wallet
This API endpoint provides a record of the user’s wallet transactions, newest first: payments, top-ups, cash back, points converted to wallet balance and other credits and debits. Each record includes the wallet balance after that transaction.
Request Body
page(integer): The page of the transaction history to present. Each page contains a set number of transaction records.
Response
-
page(integer): The page returned. -
last_page(integer): The last available page. -
total(integer): The total number of transactions. -
transactions(array): An array of objects, each detailing one transaction. Each object includesusernameanduser_image(the other party, for example the merchant),created_at,reference(what the transaction was),description,cr(amount credited),dr(amount debited),amount,wallet_balance(the balance after the transaction),currency_symbol,currency_codeandcurrency_decimal_digits.
Query parameters
Request
Response
Transaction History - Wallet

